EDIT - feature request #6800

Allow all filters for DwWCA export in TaxEditor
07/11/2017 11:03 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal

Description

The new DwCA export allows filtering classifications, subtrees, single taxon nodes and taxa.
This should be reflected by the export assistent.

Note: the given filter (TaxonNodeFilter) is intended to be used also by other exports. So it may make sense to create a generic
component to set the filter.

Related issues:

Related to EDIT - task #6754: Adapt DwcA Export to CDM light export strategy Closed
Related to EDIT - feature request #6755: Make DwcA export available for annos... Closed
Related to EDIT - bug #6799: Implement progress monitor for DWC A export Closed
Related to EDIT - bug #6801: DwCA Export is not stored at expected place Closed
Related to EDIT - feature request #6933: Add possibility to export only famil... Closed
Related to EDIT - feature request #7193: Implement area filter and rank filte... New

Copied to EDIT - bug #9980: Implement a checkbox to distinguish between expor... New

Associated revisions

Revision b3c4ed9d - 01/12/2018 12:47 PM - Katja Luther

ref #6800: add configuration possibility to export all classifications in DwC-A export

Revision dcb4e6c9 - 01/12/2018 01:26 PM - Katja Luther

ref #6800: add missing taxonnode filter when selecting all classification

Revision fb08e990 - 01/12/2018 01:36 PM - Katja Luther
ref #6800: add possibility to add several nodes for DwC-A export

Revision 42e0214d - 01/12/2018 01:45 PM - Katja Luther
ref #6800: add possibility to add several nodes for DwC-A export, adapt wizard

History

#1 - 07/11/2017 11:04 PM - Andreas Miiller
- Related to task #6754: Adapt DwcA Export to CDM light export strategy added

#2 - 07/11/2017 11:04 PM - Andreas Miuller

- Related to feature request #6755: Make DwcA export available for annosys via web services added

#3 - 07/11/2017 11:05 PM - Andreas Miiller
- Related to bug #6799: Implement progress monitor for DwC A export added

#4 - 07/11/2017 11:08 PM - Andreas Miiller
- Related to bug #6801: DwCA Export is not stored at expected place added

#5 - 07/21/2017 10:27 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10
#6 - 09/14/2017 02:11 PM - Andreas Miiller
- Related to feature request #6933: Add possibility to export only families or other part of the tree in CDM light and DwC-A export added

#7 - 09/14/2017 02:19 PM - Andreas Miiller

In CDM light export we currently distinguish "Export selected subtree" and "Export complete classification". For DwC-A we need a third category:
"Export all classification" (without selection dropdown) and/or if possible a fourth alternative which allows selecting multiple classifications (e.g. by a
multi-select dropdown)

#8 - 09/22/2017 09:10 PM - Andreas Miiller

- Subject changed from Allow all filters for DwCA export to Allow all filters for DwCA export in TaxEditor

#9 - 09/24/2017 01:00 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#10 - 11/08/2017 11:20 AM - Andreas Muller

- Target version changed from Release 4.11 to Release 4.12

#11 - 12/05/2017 02:17 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#12 - 01/12/2018 01:47 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller
now all filters are available (taxon filter are also implemented with subtree filter)

#13 - 01/16/2018 04:34 PM - Andreas Miiller
- File picture726-1.png added

Subtree filter and taxon filter still not seem to be available in nightly. See screenshot.

#14 - 01/16/2018 04:34 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

#15 - 01/16/2018 04:42 PM - Andreas Miiller

- Related to feature request #7193: Implement area filter and rank filter in TaxEditor for exports added

#16 - 01/16/2018 04:42 PM - Andreas Miiller

| created a new ticket for new available filter parameters #7193

#17 - 02/16/2018 12:09 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mtiller

the subtree filter should be available now, please review. To filter on taxa, you have to click on taxonnodes without children.
if it should also be possible to export only the parents of a subtree, we need to add a checkbox in the wizard that only the selected taxonnodes
without their children should be exported.

#18 - 05/18/2018 09:38 AM - Andreas Miiller
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 70

Katja Luther wrote:
the subtree filter should be available now, please review. To filter on taxa, you have to click on taxonnodes without children.

if it should also be possible to export only the parents of a subtree, we need to add a checkbox in the wizard that only the selected taxonnodes
without their children should be exported.
Yes | think we should have such a checkbox. Label "Include children" with default to true.

#19 - 03/16/2022 02:22 PM - Katja Luther
- Status changed from Feedback to Closed

The last issue having a checkbox "include children" is still an open issue, therefore | create a new ticket and close this one.

#20 - 03/16/2022 02:22 PM - Katja Luther
- % Done changed from 70 to 100

#21 - 03/16/2022 02:24 PM - Katja Luther

- Related to bug #9980: Implement a checkbox to distinguish between export the whole subtree or only the selected node added

#22 - 03/16/2022 04:55 PM - Andreas Miiller
- Related to deleted (bug #9980: Implement a checkbox to distinguish between export the whole subtree or only the selected node)

#23 - 03/16/2022 04:55 PM - Andreas Miiller
- Copied to bug #9980: Implement a checkbox to distinguish between export the whole subtree or only the selected node added

Files

picture726-1.png 23.4 KB 01/16/2018 Andreas Miller
